//+------------------------------------------------------------------+
//|                                                     iTestADX.mq4 |
//|                                    Copyright 2012, Darren Chuang |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, Darren Chuang"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Blue
#property indicator_level1 20
#property indicator_levelstyle STYLE_DOT
#property indicator_levelcolor Red


extern int       Adx_Period=14;

double ExtMapBuf1_ADX[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexBuffer(0,ExtMapBuf1_ADX);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexLabel(0,"TestADX");
   SetIndexEmptyValue(0,0.0);
   
   IndicatorShortName("TestADX(" + Adx_Period + ")");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   int counted_bars=IndicatorCounted();
   
   if(counted_bars < 0) return(-1);
   
   if(counted_bars > 0) counted_bars--;
   
   int i = (Bars-counted_bars-1);
   while(i>=0){
      ExtMapBuf1_ADX[i] = iADX(NULL, 0, Adx_Period, MODE_CLOSE, MODE_MAIN, i);
      i--;
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+